Get a product
Returns a single product by its identifier, including cross-platform IDs that map this product to its Cardmarket and TCGplayer equivalents.
The response is a discriminated union by productType (card or sealed).
Authentication is required (any valid API key); no scope.
Path Parameters
- product
Id requiredThe product's identifier. Returned by
GET /v1/productsandGET /v1/products/{productId}.- Type: number
The product's identifier. Returned by
GET /v1/productsandGET /v1/products/{productId}.
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for get/products/{productId}
curl https://public-api.cardnexus.com/v1/products/50212 \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"id": 50212,
"gameId": "mtg",
"expansionId": 42,
"name": "Black Lotus",
"imageUrl": "https://images.cardnexus.com/products/mtg/lea/black-lotus-front.jpg",
"productType": "card",
"printNumber": "232",
"rarity": "rare",
"finishes": [
"Standard"
],
"attributes": {
"manaCost": "{0}",
"colors": [],
"typeLine": "Artifact"
},
"externalIds": {
"cardmarket": [
{
"finish": "Standard",
"id": 1234
}
],
"tcgplayer": [
{
"finish": "Standard",
"id": 567890
}
]
}
}